Skip to main content
GET
/
view-specific
/
compliance
/
{policyId}
/
alerts
List compliance alerts on policy
curl --request GET \
  --url https://api.example.com/view-specific/compliance/{policyId}/alerts
import requests

url = "https://api.example.com/view-specific/compliance/{policyId}/alerts"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/view-specific/compliance/{policyId}/alerts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "type": "<string>",
      "id": "<string>",
      "checkId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "acknowledged": true,
      "acknowledgedAt": "2023-11-07T05:31:56Z",
      "externalId": "<string>",
      "data": {
        "lists": [
          "<string>"
        ],
        "comment": "<string>",
        "externalId": "<string>",
        "rawdata": [
          {}
        ]
      }
    }
  ],
  "pageInfo": {
    "first": true,
    "last": true
  },
  "totalCount": 123,
  "currentPage": 123,
  "totalPages": 123
}

Path Parameters

policyId
string
required

Response

200 - application/json
data
object[]
required

the list of items in the page

pageInfo
object
required

the page info

totalCount
number
required

the total number of items

currentPage
number
required

the current page

totalPages
number
required

the total number of pages